Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.common11
Class CMPAboutBox

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      com.mindprod.common11.CMPAboutBox

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public final class CMPAboutBox

extends java.awt.Dialog

An AWT About box that truly tells you about the program, not just the author's name.

Since:
  1999
Version:
  1.2 2010-01-16 - Java version and VM version
Author:
  Roedy Green, Canadian Mind Products
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, PROPERTIES, SOMEBITS`

Constructor Summary
`CMPAboutBox(java.awt.Frame parent, java.lang.String progname, java.lang.String version, java.lang.String purpose1, java.lang.String purpose2, java.lang.String status, java.lang.String released, int firstCopyrightYear, java.lang.String author, java.lang.String masterSite, java.lang.String minJdkVersion)` Create an about box
`CMPAboutBox(java.lang.String progname, java.lang.String version, java.lang.String purpose1, java.lang.String purpose2, java.lang.String status, java.lang.String released, int firstCopyrightYear, java.lang.String author, java.lang.String masterSite, java.lang.String minJdkVersion)` Create an about box when don't have parent

Method Summary
`void` | `addNotify()` bypass setBackground bug, by setting it over and over, every time addNotify gets called.
`static void` | `main(java.lang.String[] args)` sample test driver

Methods inherited from class java.awt.Dialog
`getAccessibleContext, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, paramString, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusBackward, transferFocusDownCycle, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMPAboutBox

    public CMPAboutBox(java.lang.String progname,
                       java.lang.String version,
                       java.lang.String purpose1,
                       java.lang.String purpose2,
                       java.lang.String status,
                       java.lang.String released,
                       int firstCopyrightYear,
                       java.lang.String author,
                       java.lang.String masterSite,
                       java.lang.String minJdkVersion)

  Create an about box when don't have parent

  Parameters:
    `progname` - Program name
    `version` - Program version e.g. "1.3"
    `purpose1` - what is this program for? line-1
    `purpose2` - what is this program for? line-2. may be null, or "".
    `status` - e.g. "unregistered shareware", "freeware", "commercial", "company confidential"
    `released` - Date released e.g. "1999-12-31"
    `firstCopyrightYear` - e.g. 1996
    `author` - e.g. "Roedy Green"
    `masterSite` - e.g. CONVERTER -- where to find most up to date ZIP
    `minJdkVersion` - e.g. 1.1 (minimum JDK version required)

### CMPAboutBox

    public CMPAboutBox(java.awt.Frame parent,
                       java.lang.String progname,
                       java.lang.String version,
                       java.lang.String purpose1,
                       java.lang.String purpose2,
                       java.lang.String status,
                       java.lang.String released,
                       int firstCopyrightYear,
                       java.lang.String author,
                       java.lang.String masterSite,
                       java.lang.String minJdkVersion)

  Create an about box

  Parameters:
    `parent` - frame for this about box.
    `progname` - Program name
    `version` - Program version e.g. "1.3"
    `purpose1` - what is this program for? line-1
    `purpose2` - what is this program for? line-2. may be null, or "".
    `status` - e.g. "unregistered shareware", "freeware", "commercial", "company confidential"
    `released` - Date released e.g. "1999-12-31"
    `firstCopyrightYear` - e.g. 1996
    `author` - e.g. "Roedy Green"
    `masterSite` - e.g. CONVERTER -- where to find most up to date ZIP
    `minJdkVersion` - e.g. 1.1 (minimum JDK version required)

Method Detail

### addNotify

    public void addNotify()

  bypass setBackground bug, by setting it over and over, every time addNotify gets called.

  Overrides:
    `addNotify` in class `java.awt.Dialog`

### main

    public static void main(java.lang.String[] args)

  sample test driver

  Parameters:
    `args` - not used

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD